Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The Object object

This object gives access to generic data from all objects in Blender.

Method Summary |
| `buildParts()` Recomputes the particle system.
| `clrParent(mode, fast)` Clears parent object.
Object type specific | `getData()` Returns the Datablock object containing the object's data.
A vector triple | `getDeltaLocation()` Returns the object's delta location in a list (x, y, z)
Integer | `getDrawMode()` Returns the object draw mode.
Integer | `getDrawType()` Returns the object draw type
A vector triple | `getEuler()` Returns the object's rotation as Euler rotation vector (rotX, rotY, rotZ).
Blender Matrix object | `getInverseMatrix()` Returns the object's inverse matrix.
| `getLocation()` Returns the object's location (x, y, z).
list of Material Objects | `getMaterials()` Returns a list of materials assigned to the object.
Blender Matrix object. | `getMatrix()` Returns the object matrix.
| `getName()` Returns the name of the object
Object | `getParent()` Returns the object's parent object.
Object | `getTracked()` Returns the object's tracked object.
| `getType()` Returns the type of the object.
| `link(object)` Links Object with data provided in the argument.
| `makeParent(objects, noninverse, fast)` Makes the object the parent of the objects provided in the argument which must be a list of valid Objects.
| `setDeltaLocation(delta_location)` Sets the object's delta location which must be a vector triple.
| `setDrawMode(drawmode)` Sets the object's drawing mode.
| `setDrawType(drawtype)` Sets the object's drawing type.
| `setEuler(x, y, z)` Sets the object's rotation according to the specified Euler angles.
| `setLocation(x, y, z)` Sets the object's location.
| `setMaterials(materials)` Sets the materials.
| `setName(name)` Sets the name of the object.
| `shareFrom(object)` Link data of self with object specified in the argument.

Class Variable Summary |
| `colbits` - The Material usage mask.
| `data` - The data of the object.
| `dloc` - The delta (X,Y,Z) location coordinates of the object (vector).
| `dLocX` - The delta X location coordinate of the object.
| `dLocY` - The delta Y location coordinate of the object.
| `dLocZ` - The delta Z location coordinate of the object.
| `drawMode` - The object's drawing mode used.
| `drawType` - The object's drawing type used.
| `drot` - The delta (X,Y,Z) rotation angles (in radians) of the object (vector).
| `dRotX` - The delta X rotation angle (in radians) of the object.
| `dRotY` - The delta Y rotation angle (in radians) of the object.
| `dRotZ` - The delta Z rotation angle (in radians) of the object.
| `dsize` - The delta (X,Y,Z) size of the object.
| `dSizeX` - The delta X size of the object.
| `dSizeY` - The delta Y size of the object.
| `dSizeZ` - The delta Z size of the object.
| `EffX` - The X effector coordinate of the object.
| `EffY` - The Y effector coordinate of the object.
| `EffZ` - The Z effector coordinate of the object.
| `ipo` - The ipo data associated with the object.
| `Layer` - The object layer (as a bitmask).
| `loc` - The (X,Y,Z) location coordinates of the object (vector).
| `LocX` - The X location coordinate of the object.
| `LocY` - The Y location coordinate of the object.
| `LocZ` - The Z location coordinate of the object.
| `mat` - The actual matrix of the object.
| `matrix` - The actual matrix of the object.
| `name` - The name of the object.
| `parent` - The parent object of the object.
| `rot` - The (X,Y,Z) rotation angles (in radians) of the object (vector).
| `RotX` - The X rotation angle (in radians) of the object.
| `RotY` - The Y rotation angle (in radians) of the object.
| `RotZ` - The Z rotation angle (in radians) of the object.
| `size` - The (X,Y,Z) size of the object (vector).
| `SizeX` - The X size of the object.
| `SizeY` - The Y size of the object.
| `SizeZ` - The Z size of the object.
| `track` - The object tracking this object.

Method Details |

buildParts() Recomputes the particle system. This method only applies to an Object of the type Effect.

clrParent(mode=0, fast=0) Clears parent object. Parameters: `mode` - A mode flag. If mode flag is 2, then the object transform will be kept. Any other value, or no value at all will update the object transform. (type=Integer) `fast` - If the value is 0, the scene hierarchy will not be updated. Any other value, or no value at all will update the scene hierarchy. (type=Integer)

getData() Returns the Datablock object containing the object's data. For example the Mesh, Lamp or the Camera. Returns: Depending on the type of the Object, it returns a specific object for the data requested. (type=Object type specific)

getDeltaLocation() Returns the object's delta location in a list (x, y, z) Returns: (x, y, z) (type=A vector triple)

getDrawMode() Returns the object draw mode. Returns: a sum of the following: 2 - axis 4 - texspace 8 - drawname 16 - drawimage 32 - drawwire (type=Integer)

getDrawType() Returns the object draw type Returns: One of the following: 1 - Bounding box 2 - Wire 3 - Solid 4 - Shaded 5 - Textured (type=Integer)

getEuler() Returns the object's rotation as Euler rotation vector (rotX, rotY, rotZ). Returns: (rotX, rotY, rotZ) (type=A vector triple)

getInverseMatrix() Returns the object's inverse matrix. Returns: the inverse of the matrix of the Object (type=Blender Matrix object)

    getLocation() Returns the object's location (x, y, z). Returns: (x, y, z) Example: The example below works on the default scene. It retrieves all objects in the scene and prints the name and location of each object:
         import Blender

         objects = Blender.Object.Get()

         for obj in objects:
             print obj.getName()
             print obj.getLocation()

getMaterials() Returns a list of materials assigned to the object. Returns: list of Material Objects assigned to the object. (type=list of Material Objects)

getMatrix() Returns the object matrix. Returns: the matrix of the Object. (type=Blender Matrix object.)

    getName() Returns the name of the object Returns: The name of the object Example: The example below works on the default scene. It retrieves all objects in the scene and prints the name of each object:
         import Blender

         objects = Blender.Object.Get()

         for obj in objects:
             print obj.getName()

getParent() Returns the object's parent object. Returns: The parent object of the object. If not available, None will be returned. (type=Object)

getTracked() Returns the object's tracked object. Returns: The tracked object of the object. If not available, None will be returned. (type=Object)

    getType() Returns the type of the object. Returns: The type of object. Example: The example below works on the default scene. It retrieves all objects in the scene and updates the location and rotation of the camera. When run, the camera will rotate 180 degrees and moved to the oposite side of the X axis. Note that the number 'pi' in the example is an approximation of the true number 'pi':
           import Blender

           objects = Blender.Object.Get()

           for obj in objects:
               if obj.getType() == 'Camera':
                   obj.LocY = -obj.LocY
                   obj.RotZ = 3.141592 - obj.RotZ

           Blender.Redraw()

link(object) Links Object with data provided in the argument. The data must match the Object's type, so you cannot link a Lamp to a Mesh type object. Parameters: `object` - A Blender Object. (type=Blender Object)

makeParent(objects, noninverse=0, fast=0) Makes the object the parent of the objects provided in the argument which must be a list of valid Objects. Parameters: `objects` - A Blender Object. (type=Blender Object) `noninverse` - 0 - make parent with inverse 1 - make parent without inverse (type=Integer) `fast` - 0 - update scene hierarchy automatically 1 - don't update scene hierarchy (faster). In this case, you must explicitely update the Scene hierarchy. (type=Integer)

setDeltaLocation(delta_location) Sets the object's delta location which must be a vector triple. Parameters: `delta_location` - A vector triple (x, y, z) specifying the new location. (type=A vector triple)

setDrawMode(drawmode) Sets the object's drawing mode. The drawing mode can be a mix of modes. To enable these, add up the values. Parameters: `drawmode` - A sum of the following: 2 - axis 4 - texspace 8 - drawname 16 - drawimage 32 - drawwire (type=Integer)

setDrawType(drawtype) Sets the object's drawing type. Parameters: `drawtype` - One of the following: 1 - Bounding box 2 - Wire 3 - Solid 4 - Shaded 5 - Textured (type=Integer)

setEuler(x, y, z) Sets the object's rotation according to the specified Euler angles. Parameters: `x` - The rotation angle in radians for the X direction. (type=float) `y` - The rotation angle in radians for the Y direction. (type=float) `z` - The rotation angle in radians for the Z direction. (type=float)

setLocation(x, y, z) Sets the object's location. Parameters: `x` - The X coordinate of the new location. (type=float) `y` - The Y coordinate of the new location. (type=float) `z` - The Z coordinate of the new location. (type=float)

setMaterials(materials) Sets the materials. The argument must be a list of valid material objects. Parameters: `materials` - A list of Blender material objects. (type=Materials list)

setName(name) Sets the name of the object. Parameters: `name` - The new name for the object. (type=String)

shareFrom(object) Link data of self with object specified in the argument. This works only if self and the object specified are of the same type. Parameters: `object` - A Blender Object of the same type. (type=Blender Object)

Class Variable Details |

colbits The Material usage mask. A set bit #n means: the Material #n in the Object's material list is used. Otherwise, the Material #n of the Objects Data material list is displayed.

data The data of the object. (Read-only)

dloc The delta (X,Y,Z) location coordinates of the object (vector). This variable applies to IPO Objects only.

dLocX The delta X location coordinate of the object. This variable applies to IPO Objects only.

dLocY The delta Y location coordinate of the object. This variable applies to IPO Objects only.

dLocZ The delta Z location coordinate of the object. This variable applies to IPO Objects only.

drawMode The object's drawing mode used. The value can be a sum of: 2 - axis, 4 - texspace, 8 - drawname, 16 - drawimage, 32 - drawwire.

drawType The object's drawing type used. 1 - Bounding box, 2 - wire, 3 - Solid, 4- Shaded, 5 - Textured.

drot The delta (X,Y,Z) rotation angles (in radians) of the object (vector). This variable applies to IPO Objects only.

dRotX The delta X rotation angle (in radians) of the object. This variable applies to IPO Objects only.

dRotY The delta Y rotation angle (in radians) of the object. This variable applies to IPO Objects only.

dRotZ The delta Z rotation angle (in radians) of the object. This variable applies to IPO Objects only.

dsize The delta (X,Y,Z) size of the object.

dSizeX The delta X size of the object.

dSizeY The delta Y size of the object.

dSizeZ The delta Z size of the object.

EffX The X effector coordinate of the object. Only applies to IKA.

EffY The Y effector coordinate of the object. Only applies to IKA.

EffZ The Z effector coordinate of the object. Only applies to IKA.

ipo The ipo data associated with the object. (Read-only)

Layer The object layer (as a bitmask).

loc The (X,Y,Z) location coordinates of the object (vector).

LocX The X location coordinate of the object.

LocY The Y location coordinate of the object.

LocZ The Z location coordinate of the object.

mat The actual matrix of the object. (Read-only)

matrix The actual matrix of the object. (Read-only)

name The name of the object.

parent The parent object of the object. (Read-only)

rot The (X,Y,Z) rotation angles (in radians) of the object (vector).

RotX The X rotation angle (in radians) of the object.

RotY The Y rotation angle (in radians) of the object.

RotZ The Z rotation angle (in radians) of the object.

size The (X,Y,Z) size of the object (vector).

SizeX The X size of the object.

SizeY The Y size of the object.

SizeZ The Z size of the object.

track The object tracking this object. (Read-only)

<<< Previous | Home | Next >>>
Class Object | Up | Module NMesh